Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.contents.objects
Class ShowTextToNextLine

    java.lang.Object
      org.pdfclown.documents.contents.objects.ContentObject
          org.pdfclown.documents.contents.objects.Operation
              org.pdfclown.documents.contents.objects.ShowText
                  org.pdfclown.documents.contents.objects.ShowTextToNextLine

    @PDF(value=PDF10)
    public final class ShowTextToNextLine

extends ShowText

'Move to the next line and show a text string' operation [PDF:1.6:5.3.2].

Since:
  0.0.8
Version:
  0.1.2, 02/04/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Nested Class Summary

Nested classes/interfaces inherited from class org.pdfclown.documents.contents.objects.ShowText
`ShowText.IScanner`

Field Summary
`static String` | `SimpleOperator` Specifies no text state parameter (just uses the current settings).
`static String` | `SpaceOperator` Specifies the word spacing and the character spacing (setting the corresponding parameters in the text state).

Fields inherited from class org.pdfclown.documents.contents.objects.Operation
`operands, operator`

Constructor Summary
`ShowTextToNextLine(byte[] text)`
`ShowTextToNextLine(byte[] text, double wordSpace, double charSpace)`
`ShowTextToNextLine(String operator, List<PdfDirectObject> operands)`

Method Summary
`Double` | `getCharSpace()` Gets the character spacing.
`byte[]` | `getText()` Gets the encoded text.
`Double` | `getWordSpace()` Gets the word spacing.
`void` | `setCharSpace(Double value)`
`void` | `setText(byte[] value)`
`void` | `setWordSpace(Double value)`

Methods inherited from class org.pdfclown.documents.contents.objects.ShowText
`getValue, scan, scan, setValue`

Methods inherited from class org.pdfclown.documents.contents.objects.Operation
`get, getOperands, getOperator, toString, writeTo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SimpleOperator

    public static final String SimpleOperator

  Specifies no text state parameter (just uses the current settings).

  See Also:
    Constant Field Values

### SpaceOperator

    public static final String SpaceOperator

  Specifies the word spacing and the character spacing (setting the corresponding parameters in the text state).

  See Also:
    Constant Field Values

Constructor Detail

### ShowTextToNextLine

    public ShowTextToNextLine(byte[] text)

Parameters:
  `text` - Text encoded using current font's encoding.

### ShowTextToNextLine

    public ShowTextToNextLine(byte[] text,
                              double wordSpace,
                              double charSpace)

Parameters:
  `text` - Text encoded using current font's encoding.
  `wordSpace` - Word spacing.
  `charSpace` - Character spacing.

### ShowTextToNextLine

    public ShowTextToNextLine(String operator,
                              List<PdfDirectObject> operands)

Method Detail

### getCharSpace

    public Double getCharSpace()

  Gets the character spacing.

### getText

    public byte[] getText()

  Description copied from class: `ShowText`
  Gets the encoded text.

  ### Remarks

  Text is expressed in native encoding: to resolve it to Unicode, pass it to the decode method of the corresponding font.

  Specified by:
    `getText` in class `ShowText`

### getWordSpace

    public Double getWordSpace()

  Gets the word spacing.

### setCharSpace

    public void setCharSpace(Double value)

  See Also:
    `getCharSpace()`

### setText

    public void setText(byte[] value)

  Specified by:
    `setText` in class `ShowText`
  See Also:
    `ShowText.getText()`

### setWordSpace

    public void setWordSpace(Double value)

  See Also:
    `getWordSpace()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.